#!/bin/bash
###############################################
# Home: http://nuk-svk.ru                     #
# Author: Sergey Kalinin banzaj28@yandex.ru   #
###############################################
# Usage: bareos_get_jobs.sh "job_type"
# where "job_type" must be:
# custom type:
# all - list of all jobs
# notrun - active but don't running jobs
# standart type:
# T - Completed successfully
# E - Terminated with errors
# e - Non-fatal error
# f - Fatal error
# W - Terminated with warnings 
# and match more (see bareos docs)

# Дату используем вчерашнюю
DATE=`date --date="yesterday" +%Y-%m-%d`
#DATE="2018-02-28"
JOB_STATUS="${1}"

echo show jobs | bconsole  | grep -i "^  name =" | cut -d '"' -f 2 | while read LINE; do
    if [[ $JOB_STATUS = "all" ]]
    then
        echo "$LINE"
    else
        if [[ $JOB_STATUS != "notrun" ]]; then
            echo list job=\"$LINE\" | bconsole -c /etc/bareos/bconsole.conf | grep $DATE | cut -d"|" -f10 | grep "${JOB_STATUS}" | while read RES; do
                if [[ -n $RES ]]
                    then
                    echo "Date:${DATE} Job:\"${LINE}\" status:${RES}"
                fi
            done
        else
            RES=`echo list job=\"$LINE\" | bconsole -c /etc/bareos/bconsole.conf | grep $DATE`
            if [[ -z $RES ]]
            then
                echo "Date:${DATE} Job:\"${LINE}\" status:${RES}"
            fi
        fi
    fi
done